%define svn		0.0.8
%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define staticdevelname	%mklibname %{name} -d -s

Name:			aften
Version:		0.08
Release:		%mkrel 1
Summary:		An A/52 audio encoder
License:		GPLv2+ and LGPLv2+ and BSD
Group:			Sound/Editors and Converters
URL:			http://aften.sourceforge.net/
Source:			http://sourceforge.net/projects/aften/files/%{name}/%{svn}/%{name}-%{svn}.tar.bz2

BuildRequires:		cmake
Requires:		%{libname} = %{version}-%{release}

%description
Aften is an audio encoder which generates compressed audio streams based on 
ATSC A/52 specification. This type of audio is also known as AC-3 or Dolby® 
Digital and is one of the audio codecs used in DVD-Video content. 

%package -n %{libname}
Summary:		Library for %{name}
Group:			System/Libraries

%description -n %{libname}
This package provides the library for %{name}.

%package -n %{develname}
Summary:		Development files for %{name}
Group:			Development/Other
Requires:		%{libname} = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains development files for %{name}.

%package -n %{staticdevelname}
Summary:		Static development files for %{name}
Group:			Development/Other
Requires:		%{develname} = %{version}-%{release}
Provides:		%{name}-static-devel = %{version}-%{release}

%description -n %{staticdevelname}
This package contains static development files for %{name}.

	
%prep
%setup -q -n %{name}-%{svn}

#for cmake build
mkdir -p build

%build
pushd build
	cmake .. \
	-DCMAKE_INSTALL_PREFIX:STRING="%{_prefix}" \
	-DSHARED:STRING="yes"

	# fix for x86_64 build
	sed -i -e "s|{CMAKE_INSTALL_PREFIX}/lib|{CMAKE_INSTALL_PREFIX}/%{_lib}|g" \
	cmake_install.cmake
	%make 
popd

%install
pushd build
	%makeinstall_std 

	# install static devel files
	cp -Pp *.a %{buildroot}%{_libdir}
popd

%files
%doc COPYING README Changelog
%{_bindir}/*

%files -n %{libname}
%{_libdir}/libaften.so.%{major}
%{_libdir}/libaften.so.%{major}.*

%files -n %{develname}
%{_libdir}/libaften.so
%{_includedir}/%{name}/*.h

%files -n %{staticdevelname}
%{_libdir}/*.a


%changelog
* Sat Aug 10 2013 david.david (MLO Team) <david.david> 0.08-1.mga3
+ new version: 0.08
- fix lib and devel name pkg
- add major check
- fix Source url

* Tue Apr 30 2013 david.david (MLO Team) <david.david> 0.05-4.mga3
+ Revision: 4
- correcting "spec" file

* Wed Apr 17 2013 david.david (MLO Team) <david.david> 0.05-3.mga3
+ Rebuild package for Mageia 3 (Core)
- version 0.05

* Sat Apr 13 2013 david.david (MLO Team) <david.david> 0.05-2.mga2
+ Rebuild package for Mageia 2 (Core)
- clean "spec" file
- version 0.05

* Tue Mar 15 2011 StÃ©phane TÃ©letchÃ©a <steletch@mandriva.org> 0.05-1mdv2011.0
+ Revision: 644990
- update to new version 0.05

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.8-0.svnr843.3mdv2011.0
+ Revision: 609922
- rebuild

* Sun Nov 08 2009 JÃ©rÃŽme Brenier <incubusss@mandriva.org> 0.0.8-0.svnr843.2mdv2010.1
+ Revision: 462953
- import aften

 
